Deployments.ai Docs
Models

List catalog models and whether this environment allows them

GET /v1/models · SDK listModels · CLI deployments model list

GET
/v1/models

Requires models:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
provider?string

Restrict results to one model provider.

Value in"bedrock""openai""openrouter"
capability?string

Restrict results to models that advertise one capability.

Value in"tool_calling""structured_outputs""image_input""reasoning"
allowed?boolean

Restrict results to models the environment's model policy allows or denies.

curated?boolean

Restrict results to curated or non-curated models.

search?string

Case-insensitive substring of the model id or display name.

Length1 <= length <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListModelsResponse

application/json
  1. response
items*array<>
nextCursor*string|null
policy*
curl -X GET "https://example.com/v1/models" \  -H "x-deployments-environment: string"
{  "items": [    {      "allowed": true,      "capabilities": {        "imageInput": true,        "reasoning": true,        "structuredOutputs": true,        "toolCalling": true      },      "contextWindowTokens": 1,      "curated": true,      "displayName": "string",      "maximumOutputTokens": 1,      "modelId": "string",      "pricing": {        "cacheReadUsdPerMillionTokens": 0,        "cacheWriteUsdPerMillionTokens": 0,        "inputUsdPerMillionTokens": 0,        "outputUsdPerMillionTokens": 0,        "tiers": [          {            "cacheReadUsdPerMillionTokens": 0,            "cacheWriteUsdPerMillionTokens": 0,            "inputUsdPerMillionTokens": 0,            "outputUsdPerMillionTokens": 0,            "minPromptTokens": 1          }        ]      },      "provider": "bedrock",      "providerModelId": "string"    }  ],  "nextCursor": "string",  "policy": {    "modelPolicyId": "string",    "source": "curated_defaults"  }}